<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: MissionBaseWorld Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d26/class_mission_base_world.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">MissionBaseWorld Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a83c7ebf9c57c7e1c0cc31365e6040bae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a83c7ebf9c57c7e1c0cc31365e6040bae">MissionBase</a> ()</td></tr>
<tr class="separator:a83c7ebf9c57c7e1c0cc31365e6040bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52c69924c00e7ad164e3622639550e71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a52c69924c00e7ad164e3622639550e71">~MissionBase</a> ()</td></tr>
<tr class="separator:a52c69924c00e7ad164e3622639550e71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea596f800818c0a531a58afc9034baa2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#aea596f800818c0a531a58afc9034baa2">InitialiseWorldData</a> ()</td></tr>
<tr class="separator:aea596f800818c0a531a58afc9034baa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa95f179b981e28949f825aba5eb4836b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/dfa/class_world_lighting.html">WorldLighting</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#aa95f179b981e28949f825aba5eb4836b">GetWorldLighting</a> ()</td></tr>
<tr class="separator:aa95f179b981e28949f825aba5eb4836b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab473a8b94538c024621f1c1da7ed2102"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d24/class_world_data.html">WorldData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#ab473a8b94538c024621f1c1da7ed2102">GetWorldData</a> ()</td></tr>
<tr class="separator:ab473a8b94538c024621f1c1da7ed2102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93c7e020d5fdd49e7cb72b72cde8b63"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#ae93c7e020d5fdd49e7cb72b72cde8b63">CreateScriptedMenu</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:ae93c7e020d5fdd49e7cb72b72cde8b63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54279a3dc0629df1f54658d039c5e1c7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a54279a3dc0629df1f54658d039c5e1c7">CreateScriptedWindow</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:a54279a3dc0629df1f54658d039c5e1c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad25ab3201b9f677437853305e09a50ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#ad25ab3201b9f677437853305e09a50ed">SpawnItems</a> ()</td></tr>
<tr class="separator:ad25ab3201b9f677437853305e09a50ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b9263fa2ceebb6cc0280dfd69880360"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a2b9263fa2ceebb6cc0280dfd69880360">OnKeyPress</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> key)</td></tr>
<tr class="separator:a2b9263fa2ceebb6cc0280dfd69880360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec7f2b6acbc964a425cf744be0048ad6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#aec7f2b6acbc964a425cf744be0048ad6">DumpCurrentUILayout</a> ()</td></tr>
<tr class="separator:aec7f2b6acbc964a425cf744be0048ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1efe3b234290ad426224297fa7a38b60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a1efe3b234290ad426224297fa7a38b60">DumpWidget</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> tabs)</td></tr>
<tr class="separator:a1efe3b234290ad426224297fa7a38b60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4f629f9a1db1d1d95b2ea8e8bc19f83"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#ac4f629f9a1db1d1d95b2ea8e8bc19f83">OnKeyRelease</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> key)</td></tr>
<tr class="separator:ac4f629f9a1db1d1d95b2ea8e8bc19f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88e1b11aa2a7125a3b8be7268cfb5d5d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a88e1b11aa2a7125a3b8be7268cfb5d5d">OnMouseButtonPress</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:a88e1b11aa2a7125a3b8be7268cfb5d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db980080bfdbd132f85f887f1110e25"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a1db980080bfdbd132f85f887f1110e25">OnMouseButtonRelease</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:a1db980080bfdbd132f85f887f1110e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14f189ba0f40b5ea9f3776c34ed6f8dc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a14f189ba0f40b5ea9f3776c34ed6f8dc">OnEvent</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a> eventTypeId, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</td></tr>
<tr class="separator:a14f189ba0f40b5ea9f3776c34ed6f8dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60b56b3763ca3758a49e9884b605d806"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a60b56b3763ca3758a49e9884b605d806">OnLog</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg_log)</td></tr>
<tr class="separator:a60b56b3763ca3758a49e9884b605d806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe538446ecac1d7eddb6f07a5f55bec8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#afe538446ecac1d7eddb6f07a5f55bec8">UpdateDummyScheduler</a> ()</td></tr>
<tr class="separator:afe538446ecac1d7eddb6f07a5f55bec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a076670d9edab07ded9e360d984283fb5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a076670d9edab07ded9e360d984283fb5">AddDummyPlayerToScheduler</a> (Man player)</td></tr>
<tr class="separator:a076670d9edab07ded9e360d984283fb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0b8aa1636d0acdce0075c6a6a66f01ae"><td class="memItemLeft" align="right" valign="top">PluginDeveloper&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a0b8aa1636d0acdce0075c6a6a66f01ae">m_ModuleDeveloper</a></td></tr>
<tr class="separator:a0b8aa1636d0acdce0075c6a6a66f01ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80456d98766c05efc19343e5feb18818"><td class="memItemLeft" align="right" valign="top">PluginKeyBinding m_ModuleKeyBinding PluginAdditionalInfo&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a80456d98766c05efc19343e5feb18818">m_ModuleServerInfo</a></td></tr>
<tr class="separator:a80456d98766c05efc19343e5feb18818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bb712519cebd9a84833295fd9f1980e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a4bb712519cebd9a84833295fd9f1980e">m_WidgetEventHandler</a></td></tr>
<tr class="separator:a4bb712519cebd9a84833295fd9f1980e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2290a041eda67046c10f7cba874348e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d0/d24/class_world_data.html">WorldData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#ab2290a041eda67046c10f7cba874348e">m_WorldData</a></td></tr>
<tr class="separator:ab2290a041eda67046c10f7cba874348e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af52d18e8adf9c26b329491056d687f6f"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/dfa/class_world_lighting.html">WorldLighting</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#af52d18e8adf9c26b329491056d687f6f">m_WorldLighting</a></td></tr>
<tr class="separator:af52d18e8adf9c26b329491056d687f6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a430cbdb80651cea9edf5f616d7b3f498"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a430cbdb80651cea9edf5f616d7b3f498">m_DummyPlayers</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&gt;</td></tr>
<tr class="separator:a430cbdb80651cea9edf5f616d7b3f498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c466db8e4bd42cf12a07e42294d4521"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a5c466db8e4bd42cf12a07e42294d4521">m_WidgetsTotal</a></td></tr>
<tr class="separator:a5c466db8e4bd42cf12a07e42294d4521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176e08b75ff1561fe86ef486dfa06bd6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d26/class_mission_base_world.html#a176e08b75ff1561fe86ef486dfa06bd6">m_WidgetsInvisible</a></td></tr>
<tr class="separator:a176e08b75ff1561fe86ef486dfa06bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a52c69924c00e7ad164e3622639550e71" name="a52c69924c00e7ad164e3622639550e71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52c69924c00e7ad164e3622639550e71">&#9670;&#160;</a></span>~MissionBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::~MissionBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00042">42</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a076670d9edab07ded9e360d984283fb5" name="a076670d9edab07ded9e360d984283fb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a076670d9edab07ded9e360d984283fb5">&#9670;&#160;</a></span>AddDummyPlayerToScheduler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::AddDummyPlayerToScheduler </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00446">446</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="ae93c7e020d5fdd49e7cb72b72cde8b63" name="ae93c7e020d5fdd49e7cb72b72cde8b63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae93c7e020d5fdd49e7cb72b72cde8b63">&#9670;&#160;</a></span>CreateScriptedMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> MissionBaseWorld::CreateScriptedMenu </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00085">85</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a54279a3dc0629df1f54658d039c5e1c7" name="a54279a3dc0629df1f54658d039c5e1c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54279a3dc0629df1f54658d039c5e1c7">&#9670;&#160;</a></span>CreateScriptedWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a> MissionBaseWorld::CreateScriptedWindow </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00223">223</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="aec7f2b6acbc964a425cf744be0048ad6" name="aec7f2b6acbc964a425cf744be0048ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec7f2b6acbc964a425cf744be0048ad6">&#9670;&#160;</a></span>DumpCurrentUILayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::DumpCurrentUILayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00298">298</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a1efe3b234290ad426224297fa7a38b60" name="a1efe3b234290ad426224297fa7a38b60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1efe3b234290ad426224297fa7a38b60">&#9670;&#160;</a></span>DumpWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::DumpWidget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>tabs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00320">320</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="ab473a8b94538c024621f1c1da7ed2102" name="ab473a8b94538c024621f1c1da7ed2102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab473a8b94538c024621f1c1da7ed2102">&#9670;&#160;</a></span>GetWorldData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d24/class_world_data.html">WorldData</a> MissionBaseWorld::GetWorldData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00080">80</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="aa95f179b981e28949f825aba5eb4836b" name="aa95f179b981e28949f825aba5eb4836b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa95f179b981e28949f825aba5eb4836b">&#9670;&#160;</a></span>GetWorldLighting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/dfa/class_world_lighting.html">WorldLighting</a> MissionBaseWorld::GetWorldLighting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00075">75</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="aea596f800818c0a531a58afc9034baa2" name="aea596f800818c0a531a58afc9034baa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea596f800818c0a531a58afc9034baa2">&#9670;&#160;</a></span>InitialiseWorldData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::InitialiseWorldData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00053">53</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a83c7ebf9c57c7e1c0cc31365e6040bae" name="a83c7ebf9c57c7e1c0cc31365e6040bae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83c7ebf9c57c7e1c0cc31365e6040bae">&#9670;&#160;</a></span>MissionBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::MissionBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00013">13</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a14f189ba0f40b5ea9f3776c34ed6f8dc" name="a14f189ba0f40b5ea9f3776c34ed6f8dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14f189ba0f40b5ea9f3776c34ed6f8dc">&#9670;&#160;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a>&#160;</td>
          <td class="paramname"><em>eventTypeId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00401">401</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a2b9263fa2ceebb6cc0280dfd69880360" name="a2b9263fa2ceebb6cc0280dfd69880360"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b9263fa2ceebb6cc0280dfd69880360">&#9670;&#160;</a></span>OnKeyPress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::OnKeyPress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00273">273</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="ac4f629f9a1db1d1d95b2ea8e8bc19f83" name="ac4f629f9a1db1d1d95b2ea8e8bc19f83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4f629f9a1db1d1d95b2ea8e8bc19f83">&#9670;&#160;</a></span>OnKeyRelease()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::OnKeyRelease </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00362">362</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a60b56b3763ca3758a49e9884b605d806" name="a60b56b3763ca3758a49e9884b605d806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60b56b3763ca3758a49e9884b605d806">&#9670;&#160;</a></span>OnLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::OnLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg_log</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00420">420</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a88e1b11aa2a7125a3b8be7268cfb5d5d" name="a88e1b11aa2a7125a3b8be7268cfb5d5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88e1b11aa2a7125a3b8be7268cfb5d5d">&#9670;&#160;</a></span>OnMouseButtonPress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::OnMouseButtonPress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00375">375</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a1db980080bfdbd132f85f887f1110e25" name="a1db980080bfdbd132f85f887f1110e25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1db980080bfdbd132f85f887f1110e25">&#9670;&#160;</a></span>OnMouseButtonRelease()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionBaseWorld::OnMouseButtonRelease </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00388">388</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="ad25ab3201b9f677437853305e09a50ed" name="ad25ab3201b9f677437853305e09a50ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25ab3201b9f677437853305e09a50ed">&#9670;&#160;</a></span>SpawnItems()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::SpawnItems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00237">237</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="afe538446ecac1d7eddb6f07a5f55bec8" name="afe538446ecac1d7eddb6f07a5f55bec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe538446ecac1d7eddb6f07a5f55bec8">&#9670;&#160;</a></span>UpdateDummyScheduler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBaseWorld::UpdateDummyScheduler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00435">435</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a430cbdb80651cea9edf5f616d7b3f498" name="a430cbdb80651cea9edf5f616d7b3f498"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a430cbdb80651cea9edf5f616d7b3f498">&#9670;&#160;</a></span>m_DummyPlayers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&gt; MissionBaseWorld::m_DummyPlayers = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a0b8aa1636d0acdce0075c6a6a66f01ae" name="a0b8aa1636d0acdce0075c6a6a66f01ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b8aa1636d0acdce0075c6a6a66f01ae">&#9670;&#160;</a></span>m_ModuleDeveloper</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PluginDeveloper MissionBaseWorld::m_ModuleDeveloper</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a80456d98766c05efc19343e5feb18818" name="a80456d98766c05efc19343e5feb18818"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80456d98766c05efc19343e5feb18818">&#9670;&#160;</a></span>m_ModuleServerInfo</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PluginKeyBinding m_ModuleKeyBinding PluginAdditionalInfo MissionBaseWorld::m_ModuleServerInfo</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a4bb712519cebd9a84833295fd9f1980e" name="a4bb712519cebd9a84833295fd9f1980e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bb712519cebd9a84833295fd9f1980e">&#9670;&#160;</a></span>m_WidgetEventHandler</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a> MissionBaseWorld::m_WidgetEventHandler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a176e08b75ff1561fe86ef486dfa06bd6" name="a176e08b75ff1561fe86ef486dfa06bd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176e08b75ff1561fe86ef486dfa06bd6">&#9670;&#160;</a></span>m_WidgetsInvisible</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MissionBaseWorld::m_WidgetsInvisible</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00296">296</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="a5c466db8e4bd42cf12a07e42294d4521" name="a5c466db8e4bd42cf12a07e42294d4521"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c466db8e4bd42cf12a07e42294d4521">&#9670;&#160;</a></span>m_WidgetsTotal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MissionBaseWorld::m_WidgetsTotal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00295">295</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="ab2290a041eda67046c10f7cba874348e" name="ab2290a041eda67046c10f7cba874348e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2290a041eda67046c10f7cba874348e">&#9670;&#160;</a></span>m_WorldData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d0/d24/class_world_data.html">WorldData</a> MissionBaseWorld::m_WorldData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<a id="af52d18e8adf9c26b329491056d687f6f" name="af52d18e8adf9c26b329491056d687f6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af52d18e8adf9c26b329491056d687f6f">&#9670;&#160;</a></span>m_WorldLighting</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/dfa/class_world_lighting.html">WorldLighting</a> MissionBaseWorld::m_WorldLighting</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d68/mission_base_8c_source.html#l00009">9</a> of file <a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/mission/<a class="el" href="../../d9/d68/mission_base_8c_source.html">missionBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d26/class_mission_base_world.html">MissionBaseWorld</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
